summaryrefslogtreecommitdiffstats
path: root/coreutils-kj_sh604
diff options
context:
space:
mode:
authorkj-sh6042025-06-03 11:22:43 -0400
committerkj-sh6042025-06-03 11:22:43 -0400
commit9a69fa4a4d828be5e38053fb87cbac5534f1f71b (patch)
treedd830d1183d7fb14c01206b78534c6a70f7c7fee /coreutils-kj_sh604
parentf5158df6500840148e44ea6962d862e2f80c423b (diff)
feat: add self-managed GNU coreutils (with arch binary)
Diffstat (limited to 'coreutils-kj_sh604')
-rw-r--r--coreutils-kj_sh604/.SRCINFO26
-rw-r--r--coreutils-kj_sh604/.gitignore3
-rw-r--r--coreutils-kj_sh604/PKGBUILD69
3 files changed, 98 insertions, 0 deletions
diff --git a/coreutils-kj_sh604/.SRCINFO b/coreutils-kj_sh604/.SRCINFO
new file mode 100644
index 0000000..2b25834
--- /dev/null
+++ b/coreutils-kj_sh604/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = coreutils-kj_sh604
+ pkgdesc = The basic file, shell and text manipulation utilities of the GNU operating system
+ pkgver = 9.7
+ pkgrel = 1
+ url = https://www.gnu.org/software/coreutils/
+ arch = x86_64
+ license = GPL-3.0-or-later
+ license = GFDL-1.3-or-later
+ makedepends = git
+ makedepends = gperf
+ makedepends = python
+ makedepends = wget
+ depends = acl
+ depends = attr
+ depends = glibc
+ depends = gmp
+ depends = libcap
+ depends = openssl
+ provides = coreutils
+ provides = coreutils-arch
+ conflicts = coreutils
+ conflicts = coreutils-arch
+ source = https://ftp.gnu.org/gnu/coreutils/coreutils-9.7.tar.xz
+ b2sums = e5e5f7ec26c3952eb6a25988f78d3a1f8a70cf97a2fbc7b433dfcd1721cd38e6e0a8b9cb83f854a22df325bcb5ea8c4534c5a217273762cd5d575b381db69ee8
+
+pkgname = coreutils-kj_sh604
diff --git a/coreutils-kj_sh604/.gitignore b/coreutils-kj_sh604/.gitignore
new file mode 100644
index 0000000..8d78c83
--- /dev/null
+++ b/coreutils-kj_sh604/.gitignore
@@ -0,0 +1,3 @@
+pkg/
+src/
+*.tar*
diff --git a/coreutils-kj_sh604/PKGBUILD b/coreutils-kj_sh604/PKGBUILD
new file mode 100644
index 0000000..df7e20d
--- /dev/null
+++ b/coreutils-kj_sh604/PKGBUILD
@@ -0,0 +1,69 @@
+pkgname=coreutils-kj_sh604
+pkgver=9.7
+pkgrel=1
+pkgdesc='The basic file, shell and text manipulation utilities of the GNU operating system'
+arch=('x86_64')
+license=(
+ GPL-3.0-or-later
+ GFDL-1.3-or-later
+)
+url='https://www.gnu.org/software/coreutils/'
+depends=(
+ acl
+ attr
+ glibc
+ gmp
+ libcap
+ openssl
+)
+makedepends=(
+ git
+ gperf
+ python
+ wget
+)
+conflicts=(
+ coreutils
+ coreutils-arch
+)
+provides=(
+ coreutils
+ coreutils-arch
+)
+source=(
+ https://ftp.gnu.org/gnu/coreutils/coreutils-${pkgver}.tar.xz
+)
+b2sums=('e5e5f7ec26c3952eb6a25988f78d3a1f8a70cf97a2fbc7b433dfcd1721cd38e6e0a8b9cb83f854a22df325bcb5ea8c4534c5a217273762cd5d575b381db69ee8')
+
+prepare() {
+ cd "${pkgname%-kj_sh604}-${pkgver}"
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ echo "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+}
+
+build() {
+ cd "${pkgname%-kj_sh604}-${pkgver}"
+ ./configure \
+ --prefix=/usr \
+ --libexecdir=/usr/lib \
+ --with-openssl \
+ --enable-install-program=arch \
+ --enable-no-install-program=hostname,kill,uptime
+ make
+}
+
+check() {
+ cd "${pkgname%-kj_sh604}-${pkgver}"
+ make check
+}
+
+package() {
+ cd "${pkgname%-kj_sh604}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+}